## Initialisation of the project

### Clone the project repository

Use following command in your favorite terminal to clone the projet:

```
git clone https://forge.grandlyon.com/solidarite/monparcourssocial/mps-travailleursocial-back.git
```

## Installation of the projet

### Start Pilote application

To start Pilote application just launch the command in a PowerShell or Windows Powershell tool:

```
yarn docker:dev
```

If the application starts successfully you should obtain two containers running:

```
 mps-travailleursocial-back_mps_1
 mps-travailleursocial-back_postgres_1
```

You can access by: http://localhost:3020/api 

It will be redirect to the Swagger UI. It allow to test the different API defined. 


### Run Jest test 

To start test defined just run the command in a PowerShell or Windows Powershell tool:

```
yarn test:watch
```

Don't forget to uncomment ending row into beneficiary.service.ts file before to run the above command.