### Grdf Adict

!!! info "grdf documentation"
    Visit https://site.grdf.fr/web/grdf-adict/technique to explore all the services exposed by Grdf.
    > Prod endpoints are: https://sofit-sso-oidc.grdf.fr/openam/

Regarding Grdf Adict Oauth connexion, two endpoints are exposed:

!!! warning "Oauth connexion still in Beta"
    Grdf Adict Oauth service is called Client Connect and is still in early beta. It is currently lacking a *state* parameter in the Oauth dance.

#### Authorize
##### /oauth2/realms/externeGrdf/authorize

#### Token
##### /oauth2/realms/externeGrdf/access_token


The */access_token* endpoint can be called with two different *grant_type* parameter.

  - *authorization_code* gives an access token and will also retrieve the consents list given by the user in session.
  - *client_credentials* gives only the access token allowing us to request the data service.

  The grdf Konnector would only need to call the *client_credentials* to get a refresh token.

#### Consent Handling

Consent is represented by an access right. This access holds characteristics specific to the consent of the end customer.
##### Optional: Revoke consent from external applications

It is possible to cancel a consent that was given from the user to our service (for test or development purpose for instance).

**api.grdf.fr/adict/v1/droit_acces/{id_accreditation}**
